mit umts und linux ins internet

Dieses Thema im Forum "Internet, lokale Netzwerke und Wireless Lan" wurde erstellt von claudia, 20.02.2007.

  1. #1 claudia, 20.02.2007
    claudia

    claudia Grünschnabel

    Dabei seit:
    20.02.2007
    Beiträge:
    5
    Zustimmungen:
    0
    hallo,
    ich bin gerade seit 5 minuten in diesem forum mitglied und seit zwei wochen spiele ich mit dem gedanken, mich von windows zu verabschieden und zu linux zu wechseln (Suse solls sein).
    nun meine frage: ich hab an meinem laptop ein umts modem manager usb modem dran (mit der e-plus base flatrate fürs internet). gibt es eine möglichkeit, daß ich mit diesem ding auch unter linux ins internet komme?
    und wenn ja, wie mach ich das dann?
    wenn nein, welche möglichkeiten hab ich dann für das weltweite web ohne telefondose?

    danke schon im voraus für eure hilfe
    claudia
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Athur Dent, 20.02.2007
    Zuletzt bearbeitet: 20.05.2007
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    Ich sage erst mal ja. Ich habe die Vodafone Easybox (UMTS - USB), so wie ich "schnell" im Netz gelesen habe (http://ccux-linux.de/forums/showthread.php?t=4300) funktioniert es fast so wie bei mir. Allerdings wäre es besser wenn Du mehr Infos wie Hersteller und so zusammentragen könntest, damit man die Daten zur Initialisierung bestimmen kann (gibt ja doch einige Geräte).

    edit: 20.5.2007
    Neues Tutorial:
    http://wiki.unixboard.de/index.php/Hardware:Easybox_Easybox2_HuaweiE220
    oder unter Linux auf meiner Seite:
    http://athurs-eck.gmxhome.de/
     
  4. #3 claudia, 20.02.2007
    claudia

    claudia Grünschnabel

    Dabei seit:
    20.02.2007
    Beiträge:
    5
    Zustimmungen:
    0
    Super, danke für die Antwort. da dürfte ja der Linuxwelt mir nichts mehr im Wege stehen.
    Also genauere Angaben zu dem Gerät: es ist ein umts USB mini Modem vom Hersteller HUAWEI TECHNOLOGIES, Model: E220 HSDPA USB Modem
    2100 MHz und GSM/GPRS 900/1800/1900 MHZ (was auch immer das heißt).
    Dann steht da noch bei Systemvoraussetzungen Standard USB Port 1.1 oder höher.
     
  5. #4 Athur Dent, 21.02.2007
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    Ich würde Dir empfehlen Windows erstmal noch nebenbei laufen zulassen, wenn Dein Festplattenplatz dieses zulässt.

    zum Modem
    So wie ich das ganze verstehe, musst Du Dir erstmal die Datei: base-umts-linux.tar.gz
    von der Seite http://www.andreas-kurtz.de/archives/9 herunter laden (ist auch gleich eine Anleitung)

    Danach musst Du herausfinden, wie Deine „Modemansprechdaten“ wirklich sind, das geht auch unter Windows:
    Systemsteuerung -> System -> Multifunktionsadapter -> „ein Modemähnlicher Name“ -> r. Maustaste -> Eigenschaften -> Details -> Geräteinstanzkennung

    dort taucht so etwas wie:

    USB\VID_0AF0&PID_6600&MI_00\7&1BD183CB&0&0000 auf.

    0AF0 = Vendor
    6600 = Product

    (darauf achten, das die „Box“ auch als Modem unter Windows angesprochen wird. Im Zweifelsfall Einwählen und wieder beenden)

    Jetzt die Vendor und ProduktID vergleichen bzw. anpassen in: (entpackter base-umts-linux Ordner)

    etc/hotplug/usb/umts
    etc/hotplug/usb/umts.usermap

    den Zugangspin in etc/umts/setpin ändern.

    Ist dieses alles geschehen und die richtigen Daten wurden verwendet, so das ganze einfach als Root
    unter / hinein kopieren.

    Nun kannst Du die Verbindung mit pon umts starten.

    Sag bescheid, wenn Suse drauf ist, da hier nicht alles im Detail beschrieben ist und lediglich einen Überblick der Aufgaben verschaffen soll.
     
  6. #5 claudia, 06.03.2007
    claudia

    claudia Grünschnabel

    Dabei seit:
    20.02.2007
    Beiträge:
    5
    Zustimmungen:
    0
    Hallo,
    So,seit heute ist suse drauf, hat etwas gedauert.
    Ich hab gerade mein erstes Problem. Hab Windows nebenbei drauf, das ist mir gerade vollständig abgestürzt und unwiederruflich verloren, wo ich gerade zwei tage gebraucht habe, es auf einem neuen Rechner aufzubringen, mit allen updates und dem Latex. Dazu ist auch gleich noch mein eben erst installiertes Linux mit abgestürzt. Wie konnte das passieren (hab zwei Festplatten und eigentlich auf jeder festplatte ein betriebssystem)?
    Also, wenn ich es wieder geschafft habe, alles zu installieren, daß es auch läuft, dann kommt das Modem drann.
    Ich hoffe dann auf eure Mithilfe.
    Ich könnt se iegntlich jetz schon gebrauchen. Wie krieg ich alles installiert, ohne das das eine und andere abstürzt und die festplatte gelscht wird?
     
  7. #6 gropiuskalle, 06.03.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Normalerweise wird empfohlen, zunächst Windows zu installieren und anschließend Linux. Zumindest SuSE (und wohl auch die meisten anderen Betriebsysteme) erkennen eine Windows-Partition und berücksichtigen diese.
     
  8. #7 Athur Dent, 07.03.2007
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    Ich glaube nicht, das Suse gelöscht ist (denke der Bootmanager Grub hat ein Problem). Hast Du schon mal probiert Suse mit hilfe der Installations DVD zu starten (wie normale Insallation, bis zu dem Punkt, andem gefragt wird ob Update oder Neuinstallation unten Bestehendes System starten wählen?

    Wie groß sind denn Deine Festplatten? Ich habe meine BS alle auf einer Platte.
    Das ersparrt Grub den wechsel der Platten beim booten, was aber auch geht (ich selber habe bloß keine Erfahrung).

    Ansonsten zuerst Windows installieren, da sonst der Bootmanager Grub gleich wieder überschrieben wird (dann wäre Installiertes System starten wie oben beschrieben notwendig).
     
  9. #8 claudia, 10.03.2007
    claudia

    claudia Grünschnabel

    Dabei seit:
    20.02.2007
    Beiträge:
    5
    Zustimmungen:
    0
    Auf jeder Festplatte sind 80GB.
    Tja, also es ist wirklich alles weg gewesen, window wie suse alles fort. beim wieder aufinstallieren gab es dann noch ein problem mit den festplatten und wo was rauf kommt. aber nun hoffentlich bleibt alles wie es ist.
    es ist doch recht anstrengend immer wieder alles neu zu machen, da kommt man eher weniger zum arbeiten.
    so, nun start des versuchs der modeminstallation.
     
  10. #9 Athur Dent, 12.03.2007
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    Ich gehe hier mal von einer Grundinstallation OpenSuse 10.2 mit KDE aus.
    Die Datei Base-Umts liegt im Verzeichnis (/home/user/)Documents/ als base-umts-linux.tar.gz vor.
    Entpacken der Datei
    Im Konqueror :
    rechte Maus taste und auf entpacken .
    zum weiteren vorgehen nehme ich jetzt den Pfad /home/user/)Documents/base-umts-linux an,
    dort drin enthalten sollte jetzt der Ordner „etc“ erscheinen.


    Anmelden als Root
    Konsole
    Code:
     su  
     Passwort
     
    
     konqueror --profile filemanagement
     

    so jetzt hast Du wieder einen Konqueror, aber dieses mal mit den notwendigen Rechten.
    Du solltest auch bis auf weiteres nur in diesem Konqueror bleiben (die Rechte sind wichtig).
    gehe jetzt zu dem Pfad /home/matt/Documents/base-umts-linux/etc/hotplug/usb (matt hier und folgend durch den eigenen Usernamen austauschen).


    rechte Maus taste auf umts -> öffnen mit ->kwrite,kate,gedit oder so.


    die VENDOR=“deine Daten
    und PRODUCT=“deine Daten


    ändern und dann speichern.


    gleiches öffnen der Datei umts.usermap


    diese sollte ungefähr so aussehen, die farblichen Felder ändern.


    Code:
      
     # usb module match_flags idVendor idProduct bcdDevice_lo bcdDevice_hi bDeviceClass bDeviceSubClass bDeviceProtocol bInterfaceClass bInterfaceSubClass bInterfaceProtocol driver_info
     umts 0x0003 [COLOR=#0000ff]0xaf0 0x6600[/COLOR] 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
     

    jetzt in das Verzeichnis /home/matt/Documents/base-umts-linux/etc/umts wechseln


    hier wie oben die Datei setpin mit einem Editor (kate) öffnen und
    my $pin =hier den pin eingeben
    ändern.


    jetzt sind alle änderungen abgeschlossen (spätestens jetzt werden die Admin-Rechte benötigt)


    kopiere nun den Ordner .../etc aus deinen Documents/Umts... Verzeichnis nach /
    oder anders ausgedückt:
    /home/matt/Documents/base-umts-linux/etc/hotplug -> /etc/hotplug
    /home/matt/Documents/base-umts-linux/etc/ppp -> /etc/ppp
    /home/matt/Documents/base-umts-linux/etc/umts -> /etc/umts
    /home/matt/Documents/base-umts-linux/etc/resolv.conf -> /etc



    jetzt den „Root-Konqueror“ schließen und zur Konsole mit „Root-Rechten“ zurück kehren.
    Code:
     cd /usr/sbin
     chmod a+xs pppd
     exit     (beendet die Root-Rechte)
     


    wenn alles richtig geändert und kopiert wurde kann mit
    Code:
    pon umts
    eine Verbindung aufgebaut und mit
    Code:
    poff
    beendet werden.


    sollte als Rückgabe so etwas erscheinen
    Code:
     matt@linux-silberfuchs:~> pun umts  (pun = pon, wollte bei mir nichts ändern)
     bash: pun: command not found
     matt@linux-silberfuchs:~>
     

    hast Du kein pon – sktipt, dann erstelle eine :
    Code:
     su                                   (einloggen als root)
     kate /usr/bin/pon            (skript einfügen, und unter [COLOR=#ff0000]pon[/COLOR] im Verzeichnis [COLOR=#ff0000]/usr/bin[/COLOR] speichern)
     
    
     kate /usr/bin/poff           (skript einfügen, und unter [COLOR=#ff0000]poff[/COLOR] im Verzeichnis [COLOR=#ff0000]/usr/bin[/COLOR] speichern)
     
    
     
    
     mögliches [COLOR=#ff0000]pon-skript[/COLOR]:
     [CODE]
     #!/bin/sh
     
    
     PPP_ON_BOOT=/etc/ppp/ppp_on_boot
     
    
     case "$1" in
       -*) echo "
     Usage: pon [provider] [arguments]
     
    
     If pon is invoked without arguments, $PPP_ON_BOOT file will be
     run, presuming it exists and is executable. Otherwise, a PPP connection
     will be started using settings from /etc/ppp/peers/provider.
     If you specify one argument, a PPP connection will be started using
     settings from the appropriate file in the /etc/ppp/peers/ directory, and
     any additional arguments supplied will be passed as extra arguments to
     pppd.
     "
           exit 0
           ;;
     esac
     
    
     if [ -z "$1" -a -x "$PPP_ON_BOOT" ]; then
       exec "$PPP_ON_BOOT"
     fi
     
    
     if [ -z "$1" -a ! -f /etc/ppp/peers/provider ]; then
       echo "
     Please configure /etc/ppp/peers/provider or use a command line argument to
     use another file in /etc/ppp/peers/ directory.
     "
       exit 1
     fi
     
    
     if [ "$1" -a ! -f "/etc/ppp/peers/$1" ]; then
       echo "
     The file /etc/ppp/peers/$1 does not exist.
     "
       exit 1
     fi
     
    
     exec /usr/sbin/pppd call ${@:-provider}
     

    mögliches poff-skript:
    Code:
     #!/bin/sh
     
    
     # $Id: poff,v 1.1 2002/11/24 23:30:44 etbe Exp $
     # Written by John Hasler <john@dhh.gt.org> and based on work  
     # by Phil Hands <phil@hands.com>.  Distributed under the GNU GPL
     
    
     if [ -x /usr/bin/kill ]; then
       KILL="/usr/bin/kill"
     else
       KILL="/bin/kill"
     fi
     SIG=TERM
     DONE="stopped"
     MODE=""
     
    
     usage ()
     {
        cat <<!EOF!
     usage: $0 [option] [provider]
     options:
       -r        Cause pppd to drop the line and redial.
       -d        Toggle the state of pppd's debug option.
       -c        Cause pppd to renegotiate compression.
       -a        Stop all pppd's.  'provider' will be ignored.
       -h        Print this help summary and exit.
       -v        Print version and exit.
       none      Stop pppd.
     
    
     Options may not be combined.
     
    
     If 'provider' is omitted pppd will be stopped or signalled if and only if
     there is exactly one running unless the '-a' option was given.  If
     'provider' is supplied the pppd controlling the connection to that
     provider will be stopped or signalled.
     !EOF!
     }
     
    
     # Get option.  If there are none replace the "?" that getopts puts in
     # FLAG on error with "null".
     getopts rdcavh FLAG
     if [ "$?" -ne 0 ]; then
         FLAG="null"
     fi
     
    
     # Check for additional options.  Should be none.
     getopts :rdcavh DUMMY
     if [ "$?" -eq 0 ]; then
         echo "$0: Illegal option -- ${OPTARG}."
         exit 1
     fi
     
    
     case $FLAG in
      "r") SIG=HUP;  DONE=signalled; shift ;;
      "d") SIG=USR1; DONE=signalled; shift ;;
      "c") SIG=USR2; DONE=signalled; shift ;;
      "a") MODE="all"; shift ;;
      "v") echo "$0$Revision: 1.1 $_TrickToPrint_RCS_Revision"; exit 0 ;;
      "h") usage; exit 0 ;;
      "?") exit 1;
     esac
     
    
     # Get the PIDs of all the pppds running.  Could also get these from
     # /var/run, but pppd doesn't create .pid files until ppp is up.
     PIDS=`pidof pppd`
     
    
     # poff is pointless if pppd isn't running.
     if test -z "$PIDS"; then
         echo "$0: No pppd is running.  None ${DONE}."
         exit 1
     fi
     
    
     # Find out how many pppd's are running.
     N=`echo "$PIDS" | wc -w`
     
    
     # If there are no arguments we can't do anything if there is more than one
     # pppd running.
     if test "$#" -eq 0 -a "$N" -gt 1 -a $FLAG != "a" ; then
         echo "$0: More than one pppd running and no "-a" option and  
     no arguments supplied. Nothing ${DONE}."
         exit 1
     fi
     
    
     # If either there are no arguments or '-a' was specified kill all the
     # pppd's.
     if test "$#" -eq 0 -o "$MODE" = "all" ; then
         $KILL -$SIG $PIDS || {
             echo "$0: $KILL failed.  None ${DONE}."
             exit 1
         }
         exit 0
     fi
     
    
     # There is an argument, so kill the pppd started on that provider.
     PID=`ps axw | grep "[ /]pppd call $1 *\$" | awk '{print $1}'`
     if test -n "$PID" ; then
         $KILL -$SIG $PID || {
             echo "$0: $KILL failed.  None ${DONE}."
             exit 1
         }
     else
        echo "$0: I could not find a pppd process for provider '$1'. None ${DONE}."
        exit 1
     fi
     exit 0
     
     
  11. #10 enneman, 24.03.2007
    enneman

    enneman Grünschnabel

    Dabei seit:
    23.03.2007
    Beiträge:
    5
    Zustimmungen:
    0
    Ort:
    Meiningen
    Hallo. Ich habe seit ein paar Tagen opensuse 10.2 installiert und suchte ewig nach einer möglichkeit meine Vodafone UMTS PC-Card zu installieren bis ich blödmann irgendwo im Googlegewirr gelesen habe sobald die Karte blinkt ist sie installiert, da ich aber absolut noch keine Ahnung habe mich trotzdem von Windows XP los sagen möchte habe ich gelesen gelesen gelesen ... texte übersetz weil english und unverständlich beschrieben aber trotz alledem ich habe es endlich hinbekommen. umts läuft linux läuft. bei fragen einfach melden und ansonsten linux rules.
     
  12. #11 mr.white, 30.03.2007
    mr.white

    mr.white Foren As

    Dabei seit:
    29.08.2005
    Beiträge:
    76
    Zustimmungen:
    0
    permission denied nach pon umts

    Habe alles kopiert und eingestellt und nach der Eingabe von pon umts kommt: permission denied (alles als su)

    Wo kann da der Fehler liegen??

    Danke Martin
     
  13. #12 Athur Dent, 01.04.2007
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    evtl. ist ein script nicht ausführbar. Nochmal die Rechte überprüfen.
     
  14. #13 mr.white, 01.04.2007
    mr.white

    mr.white Foren As

    Dabei seit:
    29.08.2005
    Beiträge:
    76
    Zustimmungen:
    0
    Stimmt

    Hab die pon ausführbar gemacht und jetzt steht unrecogniced device in /dev/modem

    Das heißt linux erkennt das modem nur als stick und nicht als modem. Muss ich das vielleicht am kernel was machen?


    Danke Martin
     
  15. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  16. #14 Athur Dent, 02.04.2007
    Zuletzt bearbeitet: 02.04.2007
    Athur Dent

    Athur Dent Handtuchhalter

    Dabei seit:
    08.12.2006
    Beiträge:
    662
    Zustimmungen:
    0
    Ort:
    Hannover
    ne am Kernel "eigendlich" nicht.
    versuch mal:
    Code:
    su
    tail -f /var/log/massages (messages)
    
    Fenster (Konsole) auflassen
    Stick ziehen
    Stick wieder einstecken
    Ausgabe des Fensters posten (strg+c beendet tail...)

    und die Datei etc/ppp/peers/umts (posten) sollte auf jedenfall den Eintrag /dev/ttyUSB0 enthalten.
     
  17. #15 gropiuskalle, 02.04.2007
    gropiuskalle

    gropiuskalle terra incognita

    Dabei seit:
    01.07.2006
    Beiträge:
    4.857
    Zustimmungen:
    0
    Ort:
    Berlin
    Code:
    tail -f /var/log/m[COLOR="Red"]e[/COLOR]ssages
    muss es heißen - trotzdem ein sehr lesenswerter Verschreiber. :D
     
Thema:

mit umts und linux ins internet

Die Seite wird geladen...

mit umts und linux ins internet - Ähnliche Themen

  1. Internetverbindung teilen Linux, Mac und einem UMTS-Stick

    Internetverbindung teilen Linux, Mac und einem UMTS-Stick: Liebe Wissende, für gewöhnlich ist Google wirklich mein bester Freund, aber heute scheint mich das Glück verlassen zu haben. Ich möchte meine...
  2. UMTS-Smartphone mit Linux für unter 100 Dollar

    UMTS-Smartphone mit Linux für unter 100 Dollar: Das Elektronikunternehmen NXP hat in Kooperation mit dem Softwarehersteller Purple Labs ein Referenzdesign für ein UMTS-Smartphone angekündigt,...
  3. Sierra Wireless [GPRS, UMTS, EDGE, HSDPA] under Linux

    Sierra Wireless [GPRS, UMTS, EDGE, HSDPA] under Linux: Moins Moins Ein Provider in der Schweiz hat für UMTS Card's die Sierra Wireless AirCard 850 im Angebot. Das Ding kann man für 30 Tage gratis...
  4. T-Mobile MMNC GPRS/UMTS/WLAN unter Linux?

    T-Mobile MMNC GPRS/UMTS/WLAN unter Linux?: Hi Leutz, hat jemand von Euch ne Ahnung, ob man diese oder ähnliche Karten unter Linux (SuSE 9.3) zum Laufen kriegt?...
  5. UMTS Stick für Dauerbetrieb

    UMTS Stick für Dauerbetrieb: Moin, ich bin auf der Suche nach nem vernünftigen UMTS Stick, der via gnokii SMS versenden soll. Zur Zeit ist ein: Bus 001 Device 004: ID...